BOOBMSG(1)

NAME
boobmsg - send and receive message threads

SYNOPSIS
boobmsg [-dqv] [-b backends] [-cnfs] [command [arguments..]]
boobmsg [--help] [--version]

DESCRIPTION

Console application allowing to send messages on various websites and to display message threads and contents.

  Supported websites:
* aum ("Adopte un Mec" French dating website)
* bnporc (BNP Paribas)
* bouygues (Bouygues Télécom French mobile phone provider)
* dlfp (Da Linux French Page news website)
* fourchan (4chan image board)
* guerrillamail (GuerrillaMail temp mailbox)
* hds (Histoires de Sexe French erotic novels)
* hellobank (Hello Bank!)
* inrocks (Les Inrocks French news website)
* lefigaro (Le Figaro French newspaper website)
* liberation (Libération newspaper website)
* mailinator (mailinator temp mailbox)
* minutes20 (2 Minutes French newspaper website)
* newsfeed (Loads RSS and Atom feeds from any website)
* okc (OkCupid dating website)
* orange (Orange French mobile phone provider)
* ovs (OnVaSortir website. Handles private messages only)
* phpbb (phpBB forum)
* presseurop (Presseurop website)
* sfr (SFR French mobile phone provider)
* taz (Taz newspaper website)
* tinder (Tinder dating mobile application)

BOOBMSG COMMANDS

export_all
    Export All threads

export_thread ID
    Export the thread identified by ID

list
    Display all threads.
    Default is limited to 10 results.

photos ID
    Display photos of a profile

post RECEIVER@BACKEND[,RECEIVER@BACKEND[...]] [TEXT]
    Post a message to the specified receivers.
    Multiple receivers are separated by a comma.
    If no text is supplied on command line, the content of message is read on stdin.

profile ID
    Display a profile

show MESSAGE
    Read a message

status
    Display status information about a backend.

WEBOOB COMMANDS

backends [ACTION] [BACKEND_NAME]...
    Select used backends.
    ACTION is one of the following (default: list):
    * enable enable given backends
    * disable disable given backends
    * only enable given backends and disable the others
    * list list backends
    * add add a backend
    * register register a new account on a website
    * edit edit a backend
    * remove remove a backend
    * list-modules list modules

cd [PATH]
    Follow a path.
    ".." is a special case and goes up one directory.
    "" is a special case and goes home.

condition [EXPRESSION | off]
    If an argument is given, set the condition expression used to filter the results. See CONDITION section for more details and the expression.
    If the "off" value is given, conditional filtering is disabled.
    If no argument is given, print the current condition expression.

count [NUMBER | off]
    If an argument is given, set the maximum number of results fetched.
    NUMBER must be at least 1.
    "off" value disables counting, and allows infinite searches.
    If no argument is given, print the current count value.

formatter [list | FORMATTER [COMMAND] | option OPTION_NAME [on | off]]
    If a FORMATTER is given, set the formatter to use.
    You can add a COMMAND to apply the formatter change only to
    a given command.
    If the argument is "list", print the available formatters.
    If the argument is "option", set the formatter options.
    Valid options are: header, keys.
    If on/off value is given, set the value of the option.
    If not, print the current value for the option.
    If no argument is given, print the current formatter.

inspect BACKEND_NAME
    Display the HTML string of the current page of the specified backend's browser.
    If webkit_mechanize_browser Python module is installed, HTML is displayed in a WebKit GUI.

logging [LEVEL]
    Set logging level.
    Availables: debug, info, warning, error.
    * quiet is an alias for error
    * default is an alias for warning

ls [-d] [-U] [PATH]
    List objects in current path.
    If an argument is given, list the specified path.
    Use -U option to not sort results. It allows to use a "fast path" to
    return results as soon as possible.
    Use -d option to display informations about a collection (and to not
    display the content of it). It has the same behavior than the well
    know UNIX "ls" command.
    Default is limited to 40 results.

quit
    Quit the application.

select [FIELD_NAME]... | "$direct" | "$full"
    If an argument is given, set the selected fields.
    $direct selects all fields loaded in one http request.
    $full selects all fields using as much http requests as necessary.
    If no argument is given, print the currently selected fields.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

-e EXCLUDE_BACKENDS, --exclude-backends=EXCLUDE_BACKENDS
    what backend(s) to exclude (comma separated)

-I, --insecure
    do not validate SSL

BOOBMSG OPTIONS

-E, --accept-empty
    Send messages with an empty body.

-t TITLE, --title=TITLE
    For the "post" command, set a title to message

LOGGING OPTIONS

-d, --debug
    display debug messages

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

RESULTS OPTIONS

-c CONDITION, --condition=CONDITION
    filter result items to display given a boolean expression. See CONDITION section for the syntax

-n COUNT, --count=COUNT
    limit number of results (from each backends)

-s SELECT, --select=SELECT
    select result item keys to display (comma separated)

FORMATTING OPTIONS

-f FORMATTER, --formatter=FORMATTER
    select output formatter (atom, csv, htmltable, json, json_line, msg, msglist, multiline, profile, simple, table, webkit, xhtml)

--no-header
    do not display header

--no-keys
    do not display item keys

-O OUTFILE, --outfile=OUTFILE
    file to export result

CONDITION
The -c and --condition is a flexible way to sort and get only interesting results. It supports conditions on numerical values, dates, and strings. Dates are given in YYYY-MM-DD format. The syntax of one expression is "field operator value". The field to test is always the left member of the expression.

The field is a member of the objects returned by the command. For example, a bank account has "balance", "coming" or "label" fields.

  The following operators are supported:

=   Test if object.field is equal to the value.

!=  Test if object.field is not equal to the value.

>   Test if object.field is greater than the value. If object.field is date, return true if value is before that object.field.

<   Test if object.field is less than the value. If object.field is date, return true if value is after that object.field.

|   This operator is available only for string fields. It works like the Unix standard grep command, and returns True if the pattern specified in the value is in object.field.

  Expression combination
You can make a expression combinations with the keywords " AND " and " OR ".

  Examples:
boobank ls --condition 'label=Livret A'
Display only the "Livret A" account.

boobank ls --condition 'balance>10000'
Display accounts with a lot of money.

boobank history account@backend --condition 'label|rewe'
Get transactions containing "rewe".

boobank history account@backend --condition 'date>2013-12-01 AND date<2013-12-09'
Get transactions betweens the 2th December and 8th December 2013.

COPYRIGHT
Copyright(C) 2010-2011 Christophe Benz

For full COPYRIGHT see COPYING file with weboob package.

FILES
"~/.config/weboob/backends"

SEE ALSO
Home page: http://weboob.org/applications/boobmsg